Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79107 - ifup-post creates too many "search" lines in /etc/resolv.conf
Summary: ifup-post creates too many "search" lines in /etc/resolv.conf
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-05 19:43 UTC by Jesse Thilo
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 04:29:33 UTC


Attachments (Terms of Use)
Fix for multiple "search" line problem (deleted)
2002-12-10 23:16 UTC, Jesse Thilo
no flags Details | Diff

Description Jesse Thilo 2002-12-05 19:43:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When ifup-post creates a new /etc/resolv.conf from the information in $DOMAIN,
$DNS1, and $DNS2, it writes a "search" line for every line in the original
/etc/resolv.conf, or two "search" lines if the original /etc/resolv.conf was
shorter than that.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In /etc/sysconfig/network-scripts/ifcfg-eth0, add:
    PEERDNS="yes"
    DOMAIN="some.domain"
    DNS1="1.2.3.4"
    DNS2="5.6.7.8"
2. Run "ifdown eth0"
3. Run "ifup eth0"

Actual Results:  /etc/resolv.conf contained five "search some.domain" lines.

Expected Results:  /etc/resolv.conf should contain a single "search some.domain"
line.

Additional info:

Tested with a "BOOTPROTO=static" configuration only.

Comment 1 Jesse Thilo 2002-12-10 23:16:22 UTC
Created attachment 88308 [details]
Fix for multiple "search" line problem

Comment 2 Bill Nottingham 2003-01-14 04:29:33 UTC
Added in 7.03-1, thanks!


Note You need to log in before you can comment on or make changes to this bug.